utf_16le.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Macros

#define | UTF16_IS_SURROGATE_FIRST(c) (((c) & 0xfc) == 0xd8)
#define | UTF16_IS_SURROGATE_SECOND(c) (((c) & 0xfc) == 0xdc)
#define | UTF16_IS_SURROGATE(c) (((c) & 0xf8) == 0xd8)

## Functions

static int | utf16le_mbc_enc_len (const UChar *p, const OnigUChar *e, OnigEncoding enc ARG_UNUSED)
static int | utf16le_is_mbc_newline (const UChar *p, const UChar *end, OnigEncoding enc ARG_UNUSED)
static OnigCodePoint | utf16le_mbc_to_code (const UChar *p, const UChar *end ARG_UNUSED, OnigEncoding enc ARG_UNUSED)
static int | utf16le_code_to_mbclen (OnigCodePoint code, OnigEncoding enc ARG_UNUSED)
static int | utf16le_code_to_mbc (OnigCodePoint code, UChar *buf, OnigEncoding enc ARG_UNUSED)
static int | utf16le_mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end, UChar *fold, OnigEncoding enc)
static UChar * | utf16le_left_adjust_char_head (const UChar *start, const UChar *s, const UChar *end, OnigEncoding enc ARG_UNUSED)
static int | utf16le_get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc)
| OnigEncodingDefine (utf_16le, UTF_16LE)

## Variables

static const int | EncLen_UTF16 []

## Macro Definition Documentation

#define UTF16_IS_SURROGATE | ( |  | c | ) | (((c) & 0xf8) == 0xd8)

Definition at line 34 of file utf_16le.c.

Referenced by utf16le_mbc_enc_len().

#define UTF16_IS_SURROGATE_FIRST | ( |  | c | ) | (((c) & 0xfc) == 0xd8)

Definition at line 32 of file utf_16le.c.

Referenced by utf16le_mbc_enc_len(), and utf16le_mbc_to_code().

#define UTF16_IS_SURROGATE_SECOND | ( |  | c | ) | (((c) & 0xfc) == 0xdc)

Definition at line 33 of file utf_16le.c.

Referenced by utf16le_left_adjust_char_head(), and utf16le_mbc_enc_len().

## Function Documentation

OnigEncodingDefine | ( | utf_16le | ,
|  | UTF_16LE |
| ) |  |

static int utf16le_code_to_mbc | ( | OnigCodePoint | code,
|  | UChar * | buf,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 123 of file utf_16le.c.

References buf, p, and UChar.

static int utf16le_code_to_mbclen | ( | OnigCodePoint | code,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 116 of file utf_16le.c.

static int utf16le_get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 223 of file utf_16le.c.

References onigenc_unicode_get_case_fold_codes_by_str().

static int utf16le_is_mbc_newline | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 77 of file utf_16le.c.

static UChar* utf16le_left_adjust_char_head | ( | const UChar * | start,
|  | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 207 of file utf_16le.c.

References UChar, and UTF16_IS_SURROGATE_SECOND.

static int utf16le_mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar * | end,
|  | UChar * | fold,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 145 of file utf_16le.c.

References ONIGENC_ASCII_CODE_TO_LOWER_CASE, ONIGENC_CASE_FOLD_TURKISH_AZERI, ONIGENC_IS_ASCII_CODE, onigenc_unicode_mbc_case_fold(), p, and UChar.

static int utf16le_mbc_enc_len | ( | const UChar * | p,
|  | const OnigUChar * | e,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 56 of file utf_16le.c.

References len, ONIGENC_CONSTRUCT_MBCLEN_CHARFOUND, ONIGENC_CONSTRUCT_MBCLEN_INVALID, ONIGENC_CONSTRUCT_MBCLEN_NEEDMORE, UChar, UTF16_IS_SURROGATE, UTF16_IS_SURROGATE_FIRST, and UTF16_IS_SURROGATE_SECOND.

static OnigCodePoint utf16le_mbc_to_code | ( | const UChar * | p,
|  | const UChar *end | ARG_UNUSED,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 98 of file utf_16le.c.

References p, UChar, and UTF16_IS_SURROGATE_FIRST.

## Variable Documentation

const int EncLen_UTF16[]

static

Initial value:
= {
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 4, 4, 4, 4, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2
}

Definition at line 36 of file utf_16le.c.